CVE-2008-0314

high

Description

Heap-based buffer overflow in spin.c in libclamav in ClamAV 0.92.1 allows remote attackers to execute arbitrary code via a crafted PeSpin packed PE binary with a modified length value.

References

http://kolab.org/security/kolab-vendor-notice-20.txt

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=686

http://lists.apple.com/archives/security-announce//2008/Sep/msg00005.html

http://lists.opensuse.org/opensuse-security-announce/2008-04/msg00009.html

http://secunia.com/advisories/29863

http://secunia.com/advisories/29886

http://secunia.com/advisories/29891

http://secunia.com/advisories/29975

http://secunia.com/advisories/30253

http://secunia.com/advisories/30328

http://secunia.com/advisories/31576

http://secunia.com/advisories/31882

http://security.gentoo.org/glsa/glsa-200805-19.xml

http://svn.clamav.net/svn/clamav-devel/trunk/ChangeLog

http://up2date.astaro.com/2008/08/up2date_asg_v7300_ga_released.html

http://www.debian.org/security/2008/dsa-1549

http://www.kb.cert.org/vuls/id/858595

http://www.mandriva.com/security/advisories?name=MDVSA-2008:088

http://www.securityfocus.com/bid/28784

http://www.securitytracker.com/id?1019851

http://www.us-cert.gov/cas/techalerts/TA08-260A.html

http://www.vupen.com/english/advisories/2008/1227/references

http://www.vupen.com/english/advisories/2008/2584

https://exchange.xforce.ibmcloud.com/vulnerabilities/41823

https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00576.html

https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00625.html

https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00249.html

https://wwws.clamav.net/bugzilla/show_bug.cgi?id=876

Details

Source: MITRE

Published: 2008-04-16

Updated: 2017-08-08

Type: CWE-119

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH